on delete of font alert if being used

Bug #1307240 reported by Robert Lyon on 2014-04-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon
1.8
Medium
Unassigned
1.9
Medium
Unassigned

Bug Description

when deleting a font there is no alert if it is being used in a skin or not.

The admin needs to be alerted if it is currently being used.

Reviewed: https://reviews.mahara.org/3233
Committed: http://gitorious.org/mahara/mahara/commit/4a390dd9b440228fbcdc995c7aded943d2eb9673
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 4a390dd9b440228fbcdc995c7aded943d2eb9673
Author: Robert Lyon <email address hidden>
Date: Mon Apr 14 10:12:53 2014 +1200

Alert if font is being used on delete of font (Bug 1307240)

Now gives the count of how many skins the font is attached to if it is
in fact attached to a skin.

And on deletion remove the font from the skin

Change-Id: I8784f5ff83df4adaffe4c6acd50dd44e1231124b
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2014-04-14
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "1.8_STABLE" branch: https://reviews.mahara.org/3258

Reviewed: https://reviews.mahara.org/3257
Committed: http://gitorious.org/mahara/mahara/commit/76dc5702fa24d82a5e68f5697e67e3e4a31c93c0
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 76dc5702fa24d82a5e68f5697e67e3e4a31c93c0
Author: Robert Lyon <email address hidden>
Date: Mon Apr 14 10:12:53 2014 +1200

Alert if font is being used on delete of font (Bug 1307240)

Now gives the count of how many skins the font is attached to if it is
in fact attached to a skin.

And on deletion remove the font from the skin

Change-Id: I8784f5ff83df4adaffe4c6acd50dd44e1231124b
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3258
Committed: http://gitorious.org/mahara/mahara/commit/e7721f130812f48ad664c6a834f30e671d030400
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit e7721f130812f48ad664c6a834f30e671d030400
Author: Robert Lyon <email address hidden>
Date: Mon Apr 14 10:12:53 2014 +1200

Alert if font is being used on delete of font (Bug 1307240)

Now gives the count of how many skins the font is attached to if it is
in fact attached to a skin.

And on deletion remove the font from the skin

Change-Id: I8784f5ff83df4adaffe4c6acd50dd44e1231124b
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers